MMelo Developers
Api reference

Get transfer details

GET
/transfer/{transferId}

Returns the current state and delivery metadata for an API-created transfer owned by the merchant.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token returned by POST /auth/token.

In: header

Path Parameters

transferId*string

Melo transfer UUID.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/transfer/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "state": "inProgress",  "transferCode": "string",  "trackingCode": "string",  "parcelSize": "string",  "description": "string",  "warehouseId": "42912a8b-9d3f-4436-9cfe-fb2306e3310f",  "destinationWarehouseId": "a241636d-3181-4de2-9ed0-bf209c98e956",  "pickupLocation": {    "type": "Point",    "coordinates": [      0,      0    ]  },  "pickupAddress": "string",  "destinationLocation": {    "type": "Point",    "coordinates": [      0,      0    ]  },  "destinationAddress": "string",  "destinationAddressMetadata": {},  "pickupAddressMetaData": {},  "deliveryOptionName": "string",  "paymentTtlMinutes": 0,  "paymentExpiresAt": "2019-08-24T14:15:22Z",  "steps": [    {      "step": "created",      "order": 0,      "status": "completed",      "occuredAt": "2019-08-24T14:15:22Z"    }  ]}